Bug 1129270 - [abrt] soundconverter
Summary: [abrt] soundconverter
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: soundconverter
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6ee6763f899f8933e25c02c2557...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 12:55 UTC by mastaiza
Modified: 2016-12-05 12:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 10:52:18 UTC


Attachments (Terms of Use)
File: backtrace (1.68 KB, text/plain)
2014-08-12 12:55 UTC, mastaiza
no flags Details
File: environ (1.32 KB, text/plain)
2014-08-12 12:55 UTC, mastaiza
no flags Details

Description mastaiza 2014-08-12 12:55:37 UTC
Version-Release number of selected component:
soundconverter-2.1.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/soundconverter
executable:     /usr/bin/soundconverter
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
gconfstore.py:34:get_with_default:GError: Не удалось соединиться с сервером конфигурации: Ошибка D-BUS: В данный момент служба GConf выключена.

Traceback (most recent call last):
  File "/usr/lib/soundconverter/python/soundconverter/gstreamer.py", line 252, in on_message
    self.done()
  File "/usr/lib/soundconverter/python/soundconverter/task.py", line 75, in done
    self.emit_sync('finished')
  File "/usr/lib/soundconverter/python/soundconverter/task.py", line 69, in emit_sync
    listener(self)
  File "/usr/lib/soundconverter/python/soundconverter/gstreamer.py", line 772, in on_task_finished
    newname = self.window.prefs.generate_filename(task.sound_file)
  File "/usr/lib/soundconverter/python/soundconverter/ui.py", line 747, in generate_filename
    generator.suffix = self.get_output_suffix()
  File "/usr/lib/soundconverter/python/soundconverter/ui.py", line 729, in get_output_suffix
    output_type = self.get_string('output-mime-type')
  File "/usr/lib/soundconverter/python/soundconverter/gconfstore.py", line 52, in get_string
    return self.get_with_default(self.gconf.get_string, key)
  File "/usr/lib/soundconverter/python/soundconverter/gconfstore.py", line 34, in get_with_default
    if self.gconf.get(self.path(key)) is None:
GError: Не удалось соединиться с сервером конфигурации: Ошибка D-BUS: В данный момент служба GConf выключена.

Local variables in innermost frame:
self: <soundconverter.ui.PreferencesDialog object at 0x265a410>
getter: <built-in method get_string of gconf.Client object at 0x25abaa0>
key: 'output-mime-type'

Comment 1 mastaiza 2014-08-12 12:55:40 UTC
Created attachment 926065 [details]
File: backtrace

Comment 2 mastaiza 2014-08-12 12:55:41 UTC
Created attachment 926066 [details]
File: environ

Comment 3 Michael Schwendt 2014-08-12 17:11:20 UTC
> GError: Не удалось соединиться с сервером конфигурации: Ошибка D-BUS: В данный момент служба GConf выключена.

Could you translate that message to English, please?

Or if you can reproduce the problem, start "LC_ALL=en_US.UTF-8 soundconverter" within a terminal and get the translation that way. Also mention the steps that are necessary to reproduce the problem.

A D-BUS related error here could mean that something that's supposed to "just work" doesn't, but that doesn't imply Soundconverter strictly needs to handle the GError (and e.g. try again). Something might be broken about your installation/environment.


Note You need to log in before you can comment on or make changes to this bug.